# NBTDataType

interface NBTDataType<T>
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

decodeNMS
Link copied to clipboard
abstract fun decodeNMS(nbtBase: NBTBase): T?
Content copied to clipboard
writeToCompound
Link copied to clipboard
abstract fun writeToCompound(key: String, data: T, compound: NBTTagCompound)
Content copied to clipboard